Conteníu

# On Error GoTo ... Resume Statement

Habilita una rutina de manexu de fallos dempués de producise éstos o sigue la execución del programa.

### Syntax:

    On [Local] Error {GoTo Labelname | GoTo 0 | Resume Next}

### Parameters:

GoTo NomeEtiqueta: Si produz un fallu, activa la rutina de manexu de fallos qu'empieza na llinia "NomeEtiqueta".

Resumi Next: Si produz un fallu, la execución del programa sigue cola instrucción que siguía a aquélla na que se produció l'erru.

GoTo 0: Desactiva'l remanador de fallos pal procedimientu actual.

Local: Optional. The keyword is a reminder the statement is local to the routine which invokes it; when the routine exits, this error handling is canceled automatically.

### Example:

    Sub ExampleReset
    On Error GoTo ErrorHandler
        Dim iNumber As Integer
        Dim iCount As Integer
        Dim sLine As String
        Dim aFile As String
        aFile = "C:\Users\ThisUser\data.txt"
        iNumber = Freefile
        Open aFile For Output As #iNumber
        Print #iNúmberu, "Esta ye una ringlera de testu"
        Close #iNumber
        iNumber = Freefile
        Open aFile For Input As iNumber
        For iCount = 1 To 5
            Line Input #iNumber, sLine
            If sLine <>"" Then
                Rem
            End If
        Next iCount
        Close #iNumber
        Exit Sub
    ErrorHandler:
        Reset
        MsgBox "Tolos ficheros van zarrase",  0,  "Error"
    End Sub

Temes rellacionaos

Error-Handling Functions

Open Statement